Status: Closed Start date: 03/02/2012

Priority: Normal Due date:  

Assignee: Pierre Marc % Done: 100%

Category: Application Platform Estimated time: 0.00 hour

Target version: 4.7.001   

Operating System: Any Tested: Yes

Version: All   

Description

Hello,

When I call SetError method with a null value for the ErrorInfo parameter, it crashes the session.

This has been reproduced on Linux, but not on Windows where an error is displayed but the exception is correctly handled.

To reproduce the problem, in a service, add the following command in the service Command method:

new nvcmd().SetError("MY_SERVICE", 1, null);

return false;

It may be a NullPointerException in the nvcmd connector that is not correctly handled by the connector, and propagated in the

server. Under Linux, it appears that this exception is not correctly caught.

History

#1 - 03/02/2012 06:20 PM - Pierre Marc

- Status changed from New to In Progress

- Assignee set to Pierre Marc

- Target version set to 4.7.001

- Operating System changed from Linux to Any

- Version changed from 4.7.000 to All

This will be corrected in the next release. Now a simple workarround is to not give a null string object as parameter.

#2 - 04/05/2012 10:59 AM - Pierre Marc

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

- Tested changed from No to Yes

The exception is managed now in the code. We also changed the exception management under linux, turning system signals into c++ exceptions so

some segmentation fault can now be managed as exceptions. This increases the stability under linux.

#3 - 04/05/2012 11:00 AM - Pierre Marc

- Status changed from Resolved to Closed
